Criar um cliente
curl --request POST \
--url https://api.valorapayments.com.br/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ana Souza",
"email": "ana@example.com",
"document": "12345678909",
"phone": "11988887777",
"external_reference": "usuario-42"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ana Souza',
email: 'ana@example.com',
document: '12345678909',
phone: '11988887777',
external_reference: 'usuario-42'
})
};
fetch('https://api.valorapayments.com.br/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.valorapayments.com.br/v1/customers"
payload = {
"name": "Ana Souza",
"email": "ana@example.com",
"document": "12345678909",
"phone": "11988887777",
"external_reference": "usuario-42"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valorapayments.com.br/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Ana Souza',
'email' => 'ana@example.com',
'document' => '12345678909',
'phone' => '11988887777',
'external_reference' => 'usuario-42'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "cus_Xk2v9QeR7tLmN3bA",
"object": "customer",
"name": "<string>",
"email": "<string>",
"document": "<string>",
"phone": "<string>",
"external_reference": "<string>",
"metadata": {
"order_id": "1001"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_api_key",
"message": "Chave de API inválida ou revogada."
}
}{
"error": {
"type": "missing_scope",
"message": "A chave não tem o escopo necessário."
}
}{
"error": {
"type": "email_in_use",
"message": "Já existe um cliente com este e-mail."
}
}{
"error": {
"type": "invalid_request",
"message": "Corpo inválido.",
"details": {
"amount": [
"Valor inválido."
]
}
}
}{
"error": {
"type": "rate_limited",
"message": "Muitas requisições. Tente novamente em instantes."
}
}{
"error": {
"type": "service_unavailable",
"message": "Serviço temporariamente indisponível."
}
}Clientes
Criar um cliente
Salva um cliente para reutilizar em cobranças e checkouts.
Escopo: customers:write.
POST
/
v1
/
customers
Criar um cliente
curl --request POST \
--url https://api.valorapayments.com.br/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ana Souza",
"email": "ana@example.com",
"document": "12345678909",
"phone": "11988887777",
"external_reference": "usuario-42"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ana Souza',
email: 'ana@example.com',
document: '12345678909',
phone: '11988887777',
external_reference: 'usuario-42'
})
};
fetch('https://api.valorapayments.com.br/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.valorapayments.com.br/v1/customers"
payload = {
"name": "Ana Souza",
"email": "ana@example.com",
"document": "12345678909",
"phone": "11988887777",
"external_reference": "usuario-42"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valorapayments.com.br/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Ana Souza',
'email' => 'ana@example.com',
'document' => '12345678909',
'phone' => '11988887777',
'external_reference' => 'usuario-42'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "cus_Xk2v9QeR7tLmN3bA",
"object": "customer",
"name": "<string>",
"email": "<string>",
"document": "<string>",
"phone": "<string>",
"external_reference": "<string>",
"metadata": {
"order_id": "1001"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_api_key",
"message": "Chave de API inválida ou revogada."
}
}{
"error": {
"type": "missing_scope",
"message": "A chave não tem o escopo necessário."
}
}{
"error": {
"type": "email_in_use",
"message": "Já existe um cliente com este e-mail."
}
}{
"error": {
"type": "invalid_request",
"message": "Corpo inválido.",
"details": {
"amount": [
"Valor inválido."
]
}
}
}{
"error": {
"type": "rate_limited",
"message": "Muitas requisições. Tente novamente em instantes."
}
}{
"error": {
"type": "service_unavailable",
"message": "Serviço temporariamente indisponível."
}
}Autorizações
Corpo
application/json
Resposta
Cliente criado.